﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Contrib.SmsUslugi.Models;
using Orchard.ContentManagement.Handlers;
using Orchard.Data;

namespace Contrib.SmsUslugi.Handlers
{
    public class MobilePartHandler : ContentHandler
    {
        public MobilePartHandler(IRepository<MobilePartRecord> repository)
        {
            Filters.Add(StorageFilter.For(repository));
            Filters.Add(new ActivatingFilter<MobilePart>("User"));
        }
    }
}