﻿using Orchard.ContentManagement.MetaData;
using Orchard.Data.Migration;

namespace Contrib.SmsUslugi
{
    public class Migrations : DataMigrationImpl
    {

        public int Create()
        {
            SchemaBuilder.CreateTable("MobilePartRecord",
                  table => table
                      .ContentPartRecord()
                      .Column<string>("MobileNumber")
            );

            ContentDefinitionManager.AlterTypeDefinition("User",
                cfg => cfg
                    .WithPart("MobilePart")
                );

            SchemaBuilder.CreateTable("SmsUslugiSettingsPartRecord",
                table => table
                    .ContentPartRecord()
                    .Column<string>("Login")
                    .Column<string>("Password")
                    .Column<string>("SenderTag")
                );

            return 1;
        }
    }
}