﻿using System;
using System.Collections.Generic;
using Contrib.SmsUslugi.Models;


namespace Contrib.SmsUslugi.Service
{
    public class SenderSms
    {
        private List<dataTO> numbers = new List<dataTO>();
        private data DataSend = new data();
        private dataAnswerSms DataAnswerSms = new dataAnswerSms();
        public SenderSms(string login, string password, string subject, string text, DateTime? dateTimeSended)
        {
            DataSend = new data();
            DataSend.action = "send";
            DataSend.login = login;
            DataSend.password = password;
            DataSend.source = subject;
            DataSend.text = text;
            if (dateTimeSended != null)
            {
                DataSend.datetime = dateTimeSended;
            } 
        }
 

        public void SendSms()
        {
            string answersms = null;
            try
            {
                answersms = Send();
            }
            catch (Exception)
            {
            }
            ParsingSmsAnswer(answersms); 
        }
        public int GetSentSmsCount()
        {
            return DataAnswerSms.colsmsOfSending;
        }

         public dataAnswerSms GetAnswerSms() {
             return DataAnswerSms;
         }
        private void ParsingSmsAnswer(string answersms)
        {
            DataAnswerSms = new dataAnswerSms();
            if (!string.IsNullOrWhiteSpace(answersms))
            {
                try { DataAnswerSms = dataAnswerSms.Deserialize(answersms.Replace("data>", "dataAnswerSms>")); }
                catch (Exception)
                {
                }
            }
        }


        private string Send()
        {
            DataSend.to = new List<dataTO>();
            DataSend.to = numbers;
            var xlmSms = DataSend.Serialize();
            RequestSms requestSms = new RequestSms();
            string answer = requestSms.request("send", xlmSms);
            return answer;
        }
        public void addNumber(string number)
        {
            if (!string.IsNullOrWhiteSpace(number))
            {
                dataTO dataTo = new dataTO();
                dataTo.number = number;
                numbers.Add(dataTo);
            }
        }
    }
}