﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Text;
using System.Web;

namespace Contrib.SmsUslugi.Service
{
    public class RequestSms
    {
        public String request(string action, string xml)
        {
            WebResponse result = null;
            WebRequest req = null;
            Stream newStream = null;
            Stream ReceiveStream = null;
            StreamReader sr = null;
            string strOut = "";
            try
            {  
                byte[] SomeBytes = null;
                SomeBytes = UTF8Encoding.UTF8.GetBytes(xml);

                req = SetSettingsReguest(action, SomeBytes.Length);
                newStream = req.GetRequestStream();
                newStream.Write(SomeBytes, 0, SomeBytes.Length);
                newStream.Close();
                //process the response
                result = req.GetResponse();
                ReceiveStream = result.GetResponseStream();
                Encoding encode = Encoding.UTF8;
                sr = new StreamReader(ReceiveStream, encode);
                Char[] read = new Char[256];
                int count = sr.Read(read, 0, 256);
                while (count > 0)
                {
                    String str = new String(read, 0, count);
                    strOut += str;
                    count = sr.Read(read, 0, 256);
                }
            }
            catch (Exception ex)
            {
                //("Error: " + ex.Message);
            }
            finally
            {
                if (newStream != null)
                    newStream.Close();
                if (ReceiveStream != null)
                    ReceiveStream.Close();
                if (sr != null)
                    sr.Close();
                if (result != null)
                    result.Close();
            }
            return strOut;

        }
        private WebRequest SetSettingsReguest(string action, int webRequestLength) {
            WebRequest req = null;
            req = WebRequest.Create("https://lcab.sms-uslugi.ru/API/XML/" + action + ".php");
            req.Method = "POST";
            req.Timeout = 120000;
            req.ContentType = "application/x-www-form-urlencoded";
            req.ContentLength = webRequestLength;
            return req;
        }
    }

}